using UnityEngine;


namespace GameEngine.Shared
{
	public static class LayerNames
	{
		//Built-in
		public const string DEFAULT = "Default";
		public const string TRANSPARENT_FX = "TransparentFX";
		public const string IGNORE_RAYCAST = "Ignore Raycast";
		public const string WATER = "Water";
		public const string UI = "UI";	
		//End
	}


	public static class LayerMasks
	{
		//Built-in
		public static readonly LayerMask Default = LayerMask.NameToLayer(LayerNames.DEFAULT);
		public static readonly LayerMask TransparentFx = LayerMask.NameToLayer(LayerNames.TRANSPARENT_FX);
		public static readonly LayerMask IgnoreRaycast = LayerMask.NameToLayer(LayerNames.IGNORE_RAYCAST);
		public static readonly LayerMask Water = LayerMask.NameToLayer(LayerNames.WATER);
		public static readonly LayerMask UI = LayerMask.NameToLayer(LayerNames.UI);
		//End
	}
}
